-------------------------------------------------------------------------------
-- system_stub.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity system_stub is
  port (
    RS232_Uart_1_sout : out std_logic;
    RS232_Uart_1_sin : in std_logic;
    RESET : in std_logic;
    Push_Buttons_4Bits_TRI_I : in std_logic_vector(0 to 3);
    GCLK : in std_logic;
    xps_ps2_0_PS2_1_DATA_pin : inout std_logic;
    xps_ps2_0_PS2_1_CLK_pin : inout std_logic;
    gpucore_0_rgb_pin : out std_logic_vector(7 downto 0);
    gpucore_0_hs_pin : out std_logic;
    gpucore_0_vs_pin : out std_logic;
    soundcore_0_Test_pin : out std_logic_vector(2 downto 0);
    soundcore_0_JA_pin : out std_logic_vector(3 downto 0)
  );
end system_stub;

architecture STRUCTURE of system_stub is

  component system is
    port (
      RS232_Uart_1_sout : out std_logic;
      RS232_Uart_1_sin : in std_logic;
      RESET : in std_logic;
      Push_Buttons_4Bits_TRI_I : in std_logic_vector(0 to 3);
      GCLK : in std_logic;
      xps_ps2_0_PS2_1_DATA_pin : inout std_logic;
      xps_ps2_0_PS2_1_CLK_pin : inout std_logic;
      gpucore_0_rgb_pin : out std_logic_vector(7 downto 0);
      gpucore_0_hs_pin : out std_logic;
      gpucore_0_vs_pin : out std_logic;
      soundcore_0_Test_pin : out std_logic_vector(2 downto 0);
      soundcore_0_JA_pin : out std_logic_vector(3 downto 0)
    );
  end component;

  attribute BOX_TYPE : STRING;
  attribute BOX_TYPE of system : component is "user_black_box";

begin

  system_i : system
    port map (
      RS232_Uart_1_sout => RS232_Uart_1_sout,
      RS232_Uart_1_sin => RS232_Uart_1_sin,
      RESET => RESET,
      Push_Buttons_4Bits_TRI_I => Push_Buttons_4Bits_TRI_I,
      GCLK => GCLK,
      xps_ps2_0_PS2_1_DATA_pin => xps_ps2_0_PS2_1_DATA_pin,
      xps_ps2_0_PS2_1_CLK_pin => xps_ps2_0_PS2_1_CLK_pin,
      gpucore_0_rgb_pin => gpucore_0_rgb_pin,
      gpucore_0_hs_pin => gpucore_0_hs_pin,
      gpucore_0_vs_pin => gpucore_0_vs_pin,
      soundcore_0_Test_pin => soundcore_0_Test_pin,
      soundcore_0_JA_pin => soundcore_0_JA_pin
    );

end architecture STRUCTURE;

